Reply
Member
Posts: 1
Registered: ‎04-30-2018

Cert.pem expired. Why. Why Why.

Suddenly started getting "Error connecting to AuthorizeNet" response. We use the older SDK (that does not require composer).

 

After a couple hours of searching, I tried various cert.pem files until I found one that worked.

 

How do we get notice that the cert.pem needs to change?

I tried the cert.pem from the NEW SDK and it did not work, why not?

Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

Having the same problem, anyway you could tell me which one worked for you?

Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

Same.

 

 

Member
Posts: 1
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

I was having this problem as well and was able to fix it by using the cacert.pem from the latest version of active_merchant:

 

https://github.com/activemerchant/active_merchant/blob/master/lib/certs/cacert.pem

 

Hope this helps someone else who has been pulling their hair out...

Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

You're a life saver, thank you!  Working on my site now as well.

 

Member
Posts: 6
Registered: ‎02-01-2018

Re: Cert.pem expired. Why. Why Why.

This cert and others are not working for me.

 

I called suppoert and got this:

 

 

With issue connecting with anet and receiving an SSL error of some kind you may be validating against an old certificate that we are no longer using.    

Our current certificate is: 

Entrust Certification Authority - L1K 
AIA: http://aia.entrust.net/l1k-chain256.cer 


This information is also publically available by running an ssllabs.com/ssltest scan against our endpoints.   

 

Thank you for contacting Customer Support.

Regards,

Danielle
Authorize.Net Customer Support

 

To tell you teh truth, I'm so far removed from this install at this point I'm drawing blanks as to where/how to update this - feel like a newb today, and not sure how to solve this and it is costing sales every minute I fumble. Anyone have any other ideas?

Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

I got the same thing from support. Where do I put this cert. I never had to install a cert when I initially used a php library to make this work.
Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

The .cer file they provided when converted to a .pem and a hashed symlink is created did not solve this problem for us.

I've also tried the other ca-bundle.crt files posted here and elsewhere, they are not solving the problem either.

 

Anyone else?

Member
Posts: 6
Registered: ‎02-01-2018

Re: Cert.pem expired. Why. Why Why.

[ Edited ]

I have found joy.

 

The email they sent was not what worked for me in the end.

 

I replaced cert.pem on my server (I use PHP - it was located in authorize.net/lib/ssl ) 

 

with the chain file contents of:

 

https://github.com/activemerchant/active_merchant/blob/master/lib/certs/cacert.pem

 

(As was suggested by another poster. My first failed result was caused by my own error.)

 

All g.

 

 

 

 

 

Member
Posts: 2
Registered: ‎04-30-2018

Re: Cert.pem expired. Why. Why Why.

Where does this .pem file have to go.  I have php and rails apps with passenger using authorize.net.  Does it go in Apache conf? Or is this a system wide thing?